{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function start_window, relational_call, security_check, msg, key_sort\r\ndeclare function rowexists\r\ndeclare subroutine security_err_msg\r\n$insert msg_equates\r\n\r\n$insert security_rights_equ\r\nif security_check( 'Names', Read$ ) then\r\n    CoNo = .co_no->text\r\n    if CoNo then\r\n        if rowexists( 'COMPANY', CoNo ) then\r\n\t\t\tKeys = relational_call( 'COMPANY', 'NAME_KEYS', CoNo, 'SHOW_NAMES', 'NAMES', 'LAST':@fm:'FIRST' )\r\n\t\t\tif Keys then\r\n\t\t\t    swap 'NoKeys' with '' in Keys\r\n\t    \t\tParamToPass = Keys:'*':CoNo\r\n     \t\t\tVoid = start_window( 'NAMES', @window, ParamToPass, '', '' )\r\n     \t    end\r\n        end else\r\n            MsgInfo = ''\r\n            MsgInfo<mtext$> = 'You must save this company first.'\r\n            MsgInfo<micon$> = '!'\r\n            Void = msg( '', MsgInfo )\r\n        end\r\n    end else\r\n        MsgRec = ''\r\n        MsgRec<mtext$> = 'You must retrieve a company first...' \r\n        MsgRec<micon$> = '!'\r\n        Void = msg( '', MsgRec )    \r\n    end\r\nend else\r\n    security_err_msg( 'Names', Read$ )\r\nend\r\nRETURN 0\r\n"
        }
    }
}